This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1293623 - [Docs] [SHE] Upgrading a RHEL-Based Self-Hosted Engine is wrong - ignores RHEL7 and wrong repos
[Docs] [SHE] Upgrading a RHEL-Based Self-Hosted Engine is wrong - ignores RHE...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity high
: ovirt-3.6.2
: 3.6.2
Assigned To: Julie
Andrew Burden
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 08:01 EST by Jiri Belka
Modified: 2016-02-09 01:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-09 01:25:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2015-12-22 08:01:54 EST
Description of problem:

Upgrading a RHEL-Based Self-Hosted Engine and Upgrading Additional Hosts in a RHEL-Based Self-Hosted Environment are wrong.

The former does not mention RHEL7 and both refer to wrong repo:

rhel-X-server-rhevm-3-beta-rpms

but if you compare with '3.1. Subscribing to the Required Entitlements' then it is evident it should be:

rhel-6-server-rhev-mgmt-agent-beta-rpms
rhel-7-server-rhev-mgmt-agent-beta-rpms

Version-Release number of selected component (if applicable):
online

How reproducible:
100%

Steps to Reproduce:
1. just compare what repos are in required entitlements and what repos are in upgrade parts
2.
3.

Actual results:
upgrade parts ignore RHEL7 and refer to 'engine' repos for beta

Expected results:
upgrade parts should contain RHEL7 repo info and valid repos

Additional info:
Comment 2 Andrew Dahms 2016-01-05 18:40:08 EST
Assigning to Julie for review.
Comment 3 Julie 2016-01-07 17:54:38 EST
Hi Jiri,
   Thanks for filing this bug. On further investigation, I think we should differentiate between two use cases of upgrading RHEL hosts for 3.6:

1. Upgrading from a 6.x host to 7.x host for RHEV 3.6 -> need to tell customers how to upgrade or re-install the base OS to 7 first before enabling the 3.6 repos. Could you confirm what is the recommended method or what methods are supported? 
    * Can user use upgrade button in the Admin Portal to upgrade a 6 host to 7 or reinstall a host as 7? 
    * If user chooses to upgrade their 6 to 7, should they follow the recommendations in the RHEL guide https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Migration_Planning_Guide/chap-Red_Hat_Enterprise_Linux-Migration_Planning_Guide-Upgrading.html#chap-Red_Hat_Enterprise_Linux-Migration_Planning_Guide-Upgrading_from_RHEL6 
    
2. Upgrading from 7.x to the latest 7.x for RHEV 3.6. -> just need to update the procedure with the right repos.

Kind regards,
Julie
Comment 4 Jiri Belka 2016-01-08 04:44:43 EST
(In reply to Julie from comment #3)
> Hi Jiri,
>    Thanks for filing this bug. On further investigation, I think we should
> differentiate between two use cases of upgrading RHEL hosts for 3.6:
> 
> 1. Upgrading from a 6.x host to 7.x host for RHEV 3.6 -> need to tell
> customers how to upgrade or re-install the base OS to 7 first before
> enabling the 3.6 repos. Could you confirm what is the recommended method or
> what methods are supported? 

there's WIP in this area, it should work this way - first cluster has to support rhel6 and rhel7.

>     * Can user use upgrade button in the Admin Portal to upgrade a 6 host to
> 7 or reinstall a host as 7? 

not supported.

>     * If user chooses to upgrade their 6 to 7, should they follow the
> recommendations in the RHEL guide
> https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/
> html/Migration_Planning_Guide/chap-Red_Hat_Enterprise_Linux-
> Migration_Planning_Guide-Upgrading.html#chap-Red_Hat_Enterprise_Linux-
> Migration_Planning_Guide-Upgrading_from_RHEL6 

there's WIP in this area, currently it seems we will support removal, reinstall, re-adding the host while its cluster would support mixed RHEL versions.

> 2. Upgrading from 7.x to the latest 7.x for RHEV 3.6. -> just need to update
> the procedure with the right repos.
> 
> Kind regards,
> Julie

i was mostly complaining about bad repos, not about upgrade/migration procedure.

Note You need to log in before you can comment on or make changes to this bug.